Bug Hunting Session
Bug 123957 - KDE5: Selected text in preedit area is not shown
Summary: KDE5: Selected text in preedit area is not shown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks: CJK KDE
  Show dependency treegraph
 
Reported: 2019-03-09 08:59 UTC by Fuminobu TAKEYAMA
Modified: 2019-05-24 01:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Writer KDE5 VCL (45.58 KB, image/png)
2019-03-12 14:45 UTC, Fuminobu TAKEYAMA
Details
Writer GTK3 VCL (37.56 KB, image/png)
2019-03-12 14:46 UTC, Fuminobu TAKEYAMA
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fuminobu TAKEYAMA 2019-03-09 08:59:33 UTC
Description:
Chinese and Japanese input methods allow us to select some part of preedit text and convert it into Chinese characters. However, LibreOffice applications (with KDE5 VCL) does not show which text are selected.

Steps to Reproduce:
1. Enable ibus-mozc
2. Type hyoujunnsutairu
3. Press Space key

Actual Results:
標準スタイル

Expected Results:
|標準|スタイル

"|XXXX|" represents a selected (inverted) text.


Reproducible: Always


User Profile Reset: No



Additional Info:
The following code might be helpful:
https://github.com/qt/qtbase/blob/5.13/src/widgets/widgets/qwidgetlinecontrol.cpp
Comment 1 Michael Weghorn 2019-03-11 17:56:55 UTC
Could you please paste the detailed version information from "Help" -> "About LibreOffice"?

Also, would it be possible to attach a screencast that shows the wrong behaviour in LibreOffice and, if possible, another application where this behaves as expected?
That might be quite helpful for people that don't know much about Chinese and Japanese input methods.
Comment 2 Fuminobu TAKEYAMA 2019-03-12 14:45:45 UTC
Created attachment 149915 [details]
Writer KDE5 VCL
Comment 3 Fuminobu TAKEYAMA 2019-03-12 14:46:20 UTC
Created attachment 149916 [details]
Writer GTK3 VCL
Comment 4 Fuminobu TAKEYAMA 2019-03-12 14:49:25 UTC
> Could you please paste the detailed version information from "Help" -> "About LibreOffice"?

Version: 6.3.0.0.alpha0+
Build ID: 45f4de6d333aa3fa5873cf8e1146286c74960557
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-10_00:51:32
Locale: ja-JP (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded


> if possible, another application where this behaves as expected?

I uploaded two screen shots.
One is Writer with KDE 5 VCL, which does not work.
The other is Writer with GTK 3 VCL working as expected.
Comment 5 Michael Weghorn 2019-03-13 08:27:43 UTC
Thanks!

Confirmed with

Version: 6.3.0.0.alpha0+
Build ID: 73e32aff2a3b8325daf36060140878fe34c46956
CPU threads: 2; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

Additional information:

* I had to select input method "Hiragana" for ibus-mozc ("Direct input" would print Latin characters as typed on keyboard)
* It works as expected in e.g. kate as well, so doesn't seem to be a Qt problem, but a LibreOffice one.
Comment 6 Commit Notification 2019-05-04 22:58:23 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/da3103365f9574307f70f3f2bae2a3dc461915c1%5E%21

tdf#123957 Qt5 IM generate correct formating

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-05-24 01:12:52 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/88158bb37d1e41fd192dc66db544daebc980df31%5E%21

tdf#123957 Qt5 IM generate correct formating

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.